Apache log4cxx Version @version@

Classes | Functions
log4cxx::filter Namespace Reference

## Classes
class | AndFilter
| A filter that 'and's the results of any number of contained filters together. More...
class | DenyAllFilter
| This filter drops all logging events. More...
class | ExpressionFilter
| A filter supporting complex expressions - supports both infix and postfix expressions (infix expressions must first be converted to postfix prior to processing). More...
class | LevelMatchFilter
| This is a very simple filter based on level matching. More...
class | LevelRangeFilter
| This is a very simple filter based on level matching, which can be used to reject messages with priorities outside a certain range. More...
class | LocationInfoFilter
| Location information is usually specified at the appender level - all events associated with an appender either create and parse stack traces or they do not. More...
class | LoggerMatchFilter
| This is a very simple filter based on logger name matching. More...
class | MapFilter
| A Filter that operates on a Map and can be used like in the following example: More...
class | PropertyFilter
| NOTE: This filter modifies logging events by adding properties to the event. More...
class | StringMatchFilter
| This is a very simple filter based on string matching. More...

## Functions
| LOG4CXX_PTR_DEF (AndFilter)
| LOG4CXX_PTR_DEF (DenyAllFilter)
| LOG4CXX_PTR_DEF (LevelMatchFilter)
| LOG4CXX_PTR_DEF (LevelRangeFilter)
| LOG4CXX_PTR_DEF (LoggerMatchFilter)
| LOG4CXX_PTR_DEF (MapFilter)
| LOG4CXX_PTR_DEF (StringMatchFilter)

## Function Documentation

## ◆ LOG4CXX_PTR_DEF() [1/7]

log4cxx::filter::LOG4CXX_PTR_DEF | ( | AndFilter |  | ) |

## ◆ LOG4CXX_PTR_DEF() [2/7]

log4cxx::filter::LOG4CXX_PTR_DEF | ( | DenyAllFilter |  | ) |

## ◆ LOG4CXX_PTR_DEF() [3/7]

log4cxx::filter::LOG4CXX_PTR_DEF | ( | LevelMatchFilter |  | ) |

## ◆ LOG4CXX_PTR_DEF() [4/7]

log4cxx::filter::LOG4CXX_PTR_DEF | ( | LevelRangeFilter |  | ) |

## ◆ LOG4CXX_PTR_DEF() [5/7]

log4cxx::filter::LOG4CXX_PTR_DEF | ( | LoggerMatchFilter |  | ) |

## ◆ LOG4CXX_PTR_DEF() [6/7]

log4cxx::filter::LOG4CXX_PTR_DEF | ( | MapFilter |  | ) |

## ◆ LOG4CXX_PTR_DEF() [7/7]

log4cxx::filter::LOG4CXX_PTR_DEF | ( | StringMatchFilter |  | ) |